com.sun.grid.jgdi.filter

## Class StringWhereClause

- java.lang.Object
- - com.sun.grid.jgdi.filter.WhereClause
  - - com.sun.grid.jgdi.filter.StringWhereClause

-     public class StringWhereClause
      extends WhereClause

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `StringWhereClause(java.lang.String type, int field, java.lang.String relop, java.lang.String value)` Creates a new instance of StringWhereClause

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getValue()`

    - ### Methods inherited from class com.sun.grid.jgdi.filter.WhereClause

      `getField, getPattern, getType`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### StringWhereClause

          public StringWhereClause(java.lang.String type,
                                   int field,
                                   java.lang.String relop,
                                   java.lang.String value)

      Creates a new instance of StringWhereClause

  - ### Method Detail

    - #### getValue

          public java.lang.String getValue()

Copyright © 2007 Sun Microsystems, Inc. All rights reserved.